%define oname freebob

%define major 0
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name: 	 	libfreebob
Summary: 	Library for BeBoB audio devices
Version: 	1.0.11
Release: 	%mkrel 11
License:	GPL
Group:		System/Libraries
URL:		http://freebob.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
Patch0:		libfreebob-1.0.7-gcc43.diff
Patch1:		libfreebob-1.0.11-gcc451.diff
Patch2:		freebob_usleep.patch
BuildRequires:	libalsa-devel >= 1.0.0
BuildRequires:	libavc1394-devel >= 0.5.3
BuildRequires:	libiec61883-devel >= 1.1.0
BuildRequires:	libraw1394-devel >= 1.2.1
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRequires:	libtool autoconf automake

%description
This library provides access to BeBoB devices from the Freebob project.

%package -n 	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n 	%{devname}
Summary:	Development files and headers for %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}freebob0-devel < 1.0.11-10

%description -n %{devname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
rm -f configure
autoreconf -fi

%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.11-11.mga4
+ Revision: 532580
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.0.11-10.mga4
+ Revision: 468804
- drop major from devel pkg name
- disable static build and drop .la files
- clean .spec

* Sat Jan 12 2013 umeabot <umeabot> 1.0.11-9.mga3
+ Revision: 357132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 rtp <rtp> 1.0.11-8.mga3
+ Revision: 335665
- fix build

  + ovitters <ovitters>
    - clean spec
    - update rpm group

* Thu Jan 13 2011 ahmad <ahmad> 1.0.11-6.mga1
+ Revision: 7838
- drop old/unneeded scriptlets
- imported package libfreebob


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.11-5mdv2011.0
+ Revision: 609690
- fix build
- rebuild
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.11-3mdv2010.1
+ Revision: 520770
- rebuilt for 2010.1

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.11-2mdv2010.0
+ Revision: 415603
- Improve gcc43 compilation patch so that it works for gcc4.4 too

* Fri Aug 15 2008 Austin Acton <austin@mandriva.org> 1.0.11-1mdv2009.0
+ Revision: 272281
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.7-3mdv2009.0
+ Revision: 264784
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2009.0
+ Revision: 210390
- bump release
- fix build
- 1.0.7
- sync with fedora
- nuke rpath

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2008.1
+ Revision: 150560
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 15 2007 Austin Acton <austin@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 27047
- new version


* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.0-1mdv2007.0
+ Revision: 93874
- New version 1.0.0
- Import libfreebob

